
Redmine - Defect #22014

migrated to new version on new host. Now getting an error

2016-02-11 17:06 - Jeff Balicki

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.1.3

Description

migrated to new version on new host. Now getting an error!

NoMethodError (undefined method `default_version_id?' for #<Project:0x007fe30670b818>):

app/models/issue.rb:362:in `project='

app/controllers/issues_controller.rb:423:in `build_new_issue_from_params'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-02-11 17:23 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2016-08-01 19:49 - Felix Engel

I am getting almost the same error. I also migrated to a new version.

NoMethodError (undefined method `default_version_id?' for #<Project:0x007f110979da58>

Did you mean?  default_version

default_version=):

app/models/issue.rb:362:in `project='

app/controllers/issues_controller.rb:423:in `build_new_issue_from_params'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

In fact I just set up a new VM with Ubuntu 16.04 to install redmine via the packagemanager (which btw works like a charm). I kept the DB on our

DB-server though. I manually added the tables that werent there from the previios version (3.1.something).

This happens always when I try to add a new ticket to any project. Even newly created ones.

EDIT: Okay, yeah... I could fix it by just adding the column to the 'projects'-table. Because I am a moron anyways: There is a script for updating, right?

#3 - 2016-08-24 09:42 - Toshi MARUYAMA

Felix Engel wrote:

In fact I just set up a new VM with Ubuntu 16.04 to install redmine via the packagemanager

 We don't know packagemanager.

#4 - 2016-08-24 09:43 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback from original author.
